<View::Base::SourceRecord @space={{@space}} @path={{@path}} @model={{@model}} @value={{@value}} @isEditor={{@isEditor}}
  data-preferred-model="team" as |team|>
  <Container @value={{@value.data.container}} @deviceSize={{@deviceSize}} class="social-media use-highlights"
    data-name={{@value.name}} data-gid={{@value.gid}} data-path="{{@path}}.data.container" ...attributes>
    {{#each-in team.socialMediaLinks.niceLinks as |key value| }}
      {{#if (or @isEditor value)}}
        <TextWithOptions @to={{value}} target="_blank" @tag="a" @deviceSize={{@deviceSize}} @options={{@value.data.icon}}
          data-path={{concat @path ".data.icon"}} data-type="icon" data-name={{if @path @value.name}}
          data-gid={{@value.gid}} data-editor="text-color">{{!
          }}
          <FaIcon @icon={{lowercase key}} @prefix="fab" />{{!
        }}
        </TextWithOptions>
      {{/if}}
    {{/each-in}}
  </Container>
</View::Base::SourceRecord>